Last Comment Bug 789248 - fix failing social tests
: fix failing social tests
Status: RESOLVED FIXED
[Fx17]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Firefox 18
Assigned To: Shane Caraveo (:mixedpuppy)
:
:
Mentors:
Depends on:
Blocks: 785676 787272
  Show dependency treegraph
 
Reported: 2012-09-06 13:13 PDT by Shane Caraveo (:mixedpuppy)
Modified: 2012-09-25 11:40 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
test fixes (3.25 KB, patch)
2012-09-06 13:16 PDT, Shane Caraveo (:mixedpuppy)
felipc: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Shane Caraveo (:mixedpuppy) 2012-09-06 13:13:54 PDT
Our tests are throwing an exception on social_panel.html accessing mozSocial.  This is caused when our tests remove the test provider prior to the panel finishing it's load.  The test code is setting a status panel during social.initialize, but none of the tests are verifying it is ready or shutdown, except the one test that uses it.

On occasion, it is also showing up during try runs for unrelated social patches.
Comment 1 Shane Caraveo (:mixedpuppy) 2012-09-06 13:16:12 PDT
Created attachment 658974 [details] [diff] [review]
test fixes

also fixes an https error in local testing when accessing example1.com
Comment 2 Shane Caraveo (:mixedpuppy) 2012-09-06 15:39:10 PDT
Comment on attachment 658974 [details] [diff] [review]
test fixes

[Approval Request Comment]
fixes tests in aurora
Comment 3 :Felipe Gomes (needinfo me!) 2012-09-06 16:32:12 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/8fe2906b0cb2
Comment 4 Ed Morley [:emorley] 2012-09-07 08:47:52 PDT
https://hg.mozilla.org/mozilla-central/rev/8fe2906b0cb2
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-09-25 11:40:03 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/42c27fdb0445

Note You need to log in before you can comment on or make changes to this bug.